#!/usr/bin/env python
'''
data2passcal

Create configuration file
'''

import configparser

VERSION = '2020.107'

config = configparser.ConfigParser()
config['FTP_INFO'] = {'FTP_IP': '129.138.26.29',
                      'FTP_HOST': 'qc.passcal.nmt.edu',
                      'FTP_USER': 'ftp',
                      'FTP_PASSWORD': 'data2passcal',
                      'FTP_DIR': 'AUTO/MSEED',
                      'FTP_TIMEOUT': '120',
                      'FTP_RECONNECT_WAIT': '60',
                      'FTP_BLOCKSIZE': '8192',
                      'FTP_SEND_ATTEMPTS': '3',
                      'FTP_DEBUG_LEVEL': '0'}
config['TEST'] = {'TESTMODE': 'False',
                  'FTP_DIR': 'AUTO/TEST',
                  'FTP_TIMEOUT': '5',
                  'FTP_RECONNECT_WAIT': '5',
                  'MOCK_TEST': 'True'}
config['FILES'] = {'LOGFILE': 'data2passcal.log'}

with open('config.ini', 'w') as configfile:
    config.write(configfile)
